Class List Method List File List

# Exception: Haml::Error

Inherits:
  StandardError
  - Object
  - StandardError
  - Haml::Error
  show all
Defined in:
  lib/haml/error.rb

## Overview

An exception raised by Haml code.

## Direct Known Subclasses

SyntaxError

## Constant Summary

## Instance Attribute Summary (collapse)

- - (Fixnum) line readonly

  The line of the template on which the error occurred.

## Class Method Summary (collapse)

- + message(key, *args)

## Instance Method Summary (collapse)

- - (Error) initialize(message = nil, line = nil) constructor

  A new instance of Error.

## Constructor Details

### - (`Error`) initialize(message = nil, line = nil)

Returns a new instance of Error

Parameters:

- message (`String`) (defaults to: `nil`) —

  The error message

- line (`Fixnum`) (defaults to: `nil`) —

  See #line

    50
    51
    52
    53

    # File 'lib/haml/error.rb', line 50

    def initialize(message = nil, line = nil)
      super(message)
      @line = line
    end

## Instance Attribute Details

### - (`Fixnum`) line (readonly)

The line of the template on which the error occurred.

Returns:

- (`Fixnum`)

    46
    47
    48

    # File 'lib/haml/error.rb', line 46

    def line
      @line
    end

## Class Method Details

### + message(key, *args)

    38
    39
    40
    41

    # File 'lib/haml/error.rb', line 38

    def self.message(key, *args)
      string = MESSAGES[key] or raise "[HAML BUG] No error messages for #{key}"
      (args.empty? ? string : string % args).rstrip
    end